import { html } from "uhtml";
import { openSettings } from "./settings/Settings";

export const Footer = html`<footer class="container">
  <div>
    <p class="center">
      <a
        href="https://git.silentsilas.com/silentsilas/sure"
        target="_blank"
        rel="noopener noreferrer"
        >Source Code</a
      >
      |
      <a
        href="https://silentsilas.com"
        target="_blank"
        rel="noopener noreferrer"
        >whoami</a
      >
      |
      <a href="#" @click=${openSettings}>Settings</a>
    </p>

    <p class="center">Version ${process.env.PACKAGE_VERSION}</p>
    <p class="center">
      Last updated on
      ${new Date(process.env.BUILD_TIME as any).toLocaleString("en-US", {
        year: "numeric",
        month: "long",
        day: "numeric",
        hour: "numeric",
        minute: "numeric",
        second: "numeric",
      })}
    </p>
  </div>
</footer>`;
