import { html } from "uhtml";

export const FAQ = html`<details>
  <summary><strong>FAQ</strong></summary>
  <ul>
    <li>
      <strong>What is this?</strong>
      <p>
        SURE is a system for securely sending information via a URL request. It
        uses the Elliptic Curve Diffie-Hellman algorithm to generate a shared
        secret between the sender and recipient, which is then used to encrypt
        the message in a response URL. The device that generated the URL request
        can then decrypt the message in the URL sent back to them using their
        private key.
      </p>
    </li>
    <li>
      <strong
        >What if I want all of my devices to be able to decrypt messages from
        the same request?</strong
      >
      <p>
        If you want to be able to decrypt messages from the same request on
        multiple devices, you'll need to export the keypair from the device that
        generated the request, and then import it into the other devices. You
        can do this by clicking the "Manage Keys" link at the bottom of the
        page, and then clicking the "Export Keys" button. This will give you a
        JSON file that you can import on other devices via the "Import Keys"
        button.
      </p>
    </li>
    <li>
      <strong>What if I lose my keys?</strong>
      <p>
        If you lose your keys, either from clearing your localstorage or losing
        your device, you won't be able to decrypt any messages sent to you.
        You'll need to send over the new request URL from your device to anyone
        who wants to send you a message.
      </p>
    </li>
    <li>
      <strong>Why was this built?</strong>
      <p>
        This was built as a proof of concept for a secure messaging system that
        doesn't require a user to sign up for an account or download an app. It
        can even work entirely offline if you build the app from source and open
        the HTML file in your browser. You can also manage your keys so that all
        of your devices can decrypt messages from the same request URL.
      </p>
    </li>
  </ul>
</details>`;
